package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.common.BaseAPS;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :数据导入明细
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-23
 * @Modify:
 **/
@Data
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "APS_IMPORT_FIELD")
@Api("数据导入字段配置")
public class ImportField extends BaseAPS {

    @Column(name="DEFAULT_VALUE")
    @ApiParam("默认值")
    private String defaultValue;

    /**
     *  1-是，2-否
     */
    @Column(name="IS_REQUIRE")
    @ApiParam(value = "是否必填", example = "0")
    private Integer isRequire;

    @Column(name="MAX_LENGTH")
    @ApiParam(value = "最大长度", example = "0")
    private Integer maxLength;
}
